[@bigcommerce/checkout-sdk](../README.md) / OrderPayment

# Interface: OrderPayment

## Hierarchy

- **`OrderPayment`**

  ↳ [`GatewayOrderPayment`](GatewayOrderPayment.md)

  ↳ [`GiftCertificateOrderPayment`](GiftCertificateOrderPayment.md)

## Table of contents

### Properties

- [amount](OrderPayment.md#amount)
- [description](OrderPayment.md#description)
- [gatewayId](OrderPayment.md#gatewayid)
- [methodId](OrderPayment.md#methodid)
- [paymentId](OrderPayment.md#paymentid)
- [providerId](OrderPayment.md#providerid)

## Properties

### amount

• **amount**: `number`

___

### description

• **description**: `string`

___

### gatewayId

• `Optional` **gatewayId**: `string`

___

### methodId

• `Optional` **methodId**: `string`

___

### paymentId

• `Optional` **paymentId**: `string`

___

### providerId

• **providerId**: `string`
